%global commit d15d63bf9c4a74a02470d4bc8ecce53df13e3a75
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-auto-pairs
Version:        4.0.2
Release:        1%{?dist}
Summary:        Insert or delete brackets, parentheses and quotes in pairs

License:        MIT
URL:            https://github.com/LunarWatcher/auto-pairs
Source0:        %{url}/archive/v%{version}/auto-pairs-%{version}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-auto-pairs.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Insert or delete brackets, parentheses, and quotes in pair: a maintained
fork of jiangmiao/auto-pairs


%prep
%autosetup -n auto-pairs-%{version}


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
%license LICENSE.md
%doc %{vimfiles_root}/doc/*.txt
%{vimfiles_root}/autoload/autopairs
%{vimfiles_root}/autoload/autopairs.vim
%{vimfiles_root}/plugin/autopairs.vim
%{_metainfodir}/vim-auto-pairs.metainfo.xml


%changelog
* Sun Jun 02 2024 Patrick Laimbock <patrick@laimbock.com> - 4.0.2-1
- update to version 4.0.2

* Mon Apr 17 2023 Patrick Laimbock <patrick@laimbock.com> - 4.0.1-1
- initial package
